Last Comment Bug 738458 - Upgrade Mozilla to NSS 3.13.5 final
: Upgrade Mozilla to NSS 3.13.5 final
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: 10 Branch
: All All
: -- normal with 2 votes (vote)
: mozilla15
Assigned To: Kai Engert (:kaie) (on vacation)
:
: David Keeler [:keeler] (use needinfo?)
Mentors:
Depends on: 738454 745548
Blocks: 738457
  Show dependency treegraph
 
Reported: 2012-03-22 14:17 PDT by Kai Engert (:kaie) (on vacation)
Modified: 2012-07-10 12:10 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
14+
verified


Attachments
upgrade action (placeholder) (37 bytes, text/plain)
2012-04-23 18:29 PDT, Kai Engert (:kaie) (on vacation)
wtc: review+
Details
upgrade action to 3.13.5 final (placeholder) (27 bytes, patch)
2012-06-08 11:48 PDT, Kai Engert (:kaie) (on vacation)
akeybl: approval‑mozilla‑beta+
akeybl: approval‑mozilla‑esr10+
Details | Diff | Splinter Review

Description Kai Engert (:kaie) (on vacation) 2012-03-22 14:17:35 PDT
It's not released yet, but eventually we will have to upgrade Mozilla to NSS 3.13.4 final.

Here is one motiviation why we might want to do so for Firefox 14, prior to April 24:

- Firefox 14 will disable MD5 signatures by default

- our current user feedback on affected SSL sites is not helpful

- bug 738454 (target NSS 3.13.4) implements a better error code for 
  "disabled by policy"

Once this bug is resolved (Mozilla updated to 3.13.4) we'll also need to land 738457 into Mozilla application (PSM), for the user feedback to become effective.
Comment 1 Kai Engert (:kaie) (on vacation) 2012-04-02 14:39:24 PDT
As there will probably be an additional update 3.13.4, which will not yet cover the md5 related work, I'm moving this tracking bug to 3.13.5
Comment 2 Kai Engert (:kaie) (on vacation) 2012-04-23 18:29:09 PDT
Created attachment 617730 [details]
upgrade action (placeholder)
Comment 3 Wan-Teh Chang 2012-04-26 10:42:14 PDT
Comment on attachment 617730 [details]
upgrade action (placeholder)

r=wtc.
Comment 4 Kai Engert (:kaie) (on vacation) 2012-04-26 16:16:54 PDT
I'll land the NSS_3_13_5_BETA1 tag.
We must keep this open until we land the final release.
Comment 5 Kai Engert (:kaie) (on vacation) 2012-04-26 16:50:31 PDT
landed beta1 into mozilla-central:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d22635f771c5
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2012-04-27 06:54:54 PDT
https://hg.mozilla.org/mozilla-central/rev/d22635f771c5
Comment 7 Alex Keybl [:akeybl] 2012-04-30 15:49:09 PDT
Is this still necessary for FF14 if we're no longer disabling MD5 signatures for that release?
Comment 8 Kai Engert (:kaie) (on vacation) 2012-05-01 10:47:20 PDT
(In reply to Alex Keybl [:akeybl] from comment #7)
> Is this still necessary for FF14 if we're no longer disabling MD5 signatures
> for that release?

If you backout 650355 for FF14: no, not necessary for MD5.

But what about bug 745548 ?
Comment 9 Kai Engert (:kaie) (on vacation) 2012-05-17 15:58:45 PDT
Can I please get a r+ (in a comment) for landing beta2 into mozilla-central?
Thanks.
Comment 10 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-17 16:12:09 PDT
r+ on landing beta2 in mozilla-central.
Comment 11 Wan-Teh Chang 2012-05-17 17:43:09 PDT
Kai: please push NSS_3_13_5_BETA2 to mozilla-central.
Comment 12 Kai Engert (:kaie) (on vacation) 2012-05-18 08:06:34 PDT
landed beta 2:
https://hg.mozilla.org/integration/mozilla-inbound/rev/bb67b169df15
Comment 13 Kai Engert (:kaie) (on vacation) 2012-05-18 08:07:39 PDT
(only difference between beta1 and beta2 was fix for bug 745548.)
Comment 14 Ryan VanderMeulen [:RyanVM] 2012-05-18 18:10:11 PDT
(In reply to Kai Engert (:kaie) from comment #12)
> landed beta 2:
> https://hg.mozilla.org/integration/mozilla-inbound/rev/bb67b169df15

https://hg.mozilla.org/mozilla-central/rev/bb67b169df15
Comment 15 Kai Engert (:kaie) (on vacation) 2012-05-31 13:26:32 PDT
I've checked in the final NSS 3.13.5.
https://hg.mozilla.org/integration/mozilla-inbound/rev/5eb0d9e63d5a

The only functional change since the beta version was:
- a one letter typo in an error string
- final version number 

However, some of the files which belong to NSS, which are copied into mozilla-central, have been modified in mozilla-central to use the MPL2. My change reverts these few license headers to the old tri-license, which is what most of NSS still uses (on this particular stable branch). IMHO that shouldn't be a problem, the license headers will be changed to MPL2 when Mozilla picks up a more recent version of NSS where Gerv has applied the MPL2 headers everywhere.
Comment 16 Kai Engert (:kaie) (on vacation) 2012-05-31 13:27:05 PDT
Sorry, reopening, must wait until inbound has been merged to central.
Comment 17 Gervase Markham [:gerv] 2012-06-01 03:23:38 PDT
Kai: that's not a problem, but can you tell me which files those are, so I can check if my script is faulty?

Thanks,

Gerv
Comment 18 Kai Engert (:kaie) (on vacation) 2012-06-01 05:43:56 PDT
(In reply to Gervase Markham [:gerv] from comment #17)
> Kai: that's not a problem, but can you tell me which files those are, so I
> can check if my script is faulty?

yes, see the commit in coment 15
Comment 19 Kai Engert (:kaie) (on vacation) 2012-06-01 05:45:06 PDT
(In reply to Kai Engert (:kaie) from comment #18)
> (In reply to Gervase Markham [:gerv] from comment #17)
> > Kai: that's not a problem, but can you tell me which files those are, so I
> > can check if my script is faulty?
> 
> yes, see the commit in coment 15


Note that your script might have worked fine on NSS trunk.

The cause for this (temporary) reversion (on mozilla-central) is that we still do some work on a separate stable NSS branch.
Comment 20 Ed Morley [:emorley] 2012-06-01 08:14:16 PDT
https://hg.mozilla.org/mozilla-central/rev/5eb0d9e63d5a
Comment 21 Kai Engert (:kaie) (on vacation) 2012-06-08 11:45:10 PDT
Proposing for ESR 10.0.6, in order to pick up bug 745548.

ESR10 branch already uses NSS 3.13.4.
An upgrade to NSS 3.13.5 is a very small change.
Comment 22 Kai Engert (:kaie) (on vacation) 2012-06-08 11:47:36 PDT
Proposing for Firefox 14/Beta, in order to pick up bug 745548.

Beta already uses NSS 3.13.4.
An upgrade to NSS 3.13.5 is a very small change.
Comment 23 Kai Engert (:kaie) (on vacation) 2012-06-08 11:48:59 PDT
Created attachment 631489 [details] [diff] [review]
upgrade action to 3.13.5 final (placeholder)
Comment 24 Alex Keybl [:akeybl] 2012-06-11 12:11:07 PDT
Comment on attachment 631489 [details] [diff] [review]
upgrade action to 3.13.5 final (placeholder)

[Triage Comment]
Approved for Beta and ESR, given bug 745548.
Comment 26 Kai Engert (:kaie) (on vacation) 2012-06-13 08:50:59 PDT
(In reply to Kai Engert (:kaie) from comment #25)
> https://hg.mozilla.org/releases/mozilla-beta/rev/853ac25ddd18

This commit accidentally landed into a release branch.
I've backed it out from the release branch:
https://hg.mozilla.org/releases/mozilla-beta/rev/87828c8651c6


I hope the following is the correct landing on mozilla-beta "default" branch:
https://hg.mozilla.org/releases/mozilla-beta/rev/cc5c3ee63206

Note You need to log in before you can comment on or make changes to this bug.